{% load static %}
{% load bootstrap5 %}

<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
  <symbol id="ask" viewBox="0 0 16 16"><path d="M10.94 7.53h-5.5a.55.55 0 0 0 0 1.1h5.5a.55.55 0 0 0 0-1.1Zm0-2.19h-5.5a.55.55 0 0 0 0 1.1h5.5a.55.55 0 0 0 0-1.1ZM8.2 9.73H5.43a.55.55 0 0 0 0 1.1H8.2a.55.55 0 0 0 0-1.1Z"/><path d="M14.83 11.97a7.68 7.68 0 1 0-3.2 3l3.6.8a.55.55 0 0 0 .63-.71zm-1.12.1.8 2.41-2.84-.63a.54.54 0 0 0-.37.06 6.63 6.63 0 1 1 2.47-2.3.55.55 0 0 0-.06.46z"/></symbol>
  <symbol id="register" viewBox="0 0 16 16"><path d="M7.51 8a3.72 3.72 0 1 0 0-7.45 3.72 3.72 0 0 0 0 7.44zm0-6.39a2.66 2.66 0 1 1 0 5.32 2.66 2.66 0 0 1 0-5.32zm7.68 10.64h-1.6v-1.6a.53.53 0 1 0-1.06 0v1.6h-1.6a.53.53 0 1 0 0 1.06h1.6v1.6a.53.53 0 0 0 1.06 0v-1.6h1.6a.53.53 0 0 0 0-1.06z"/><path d="M10.93 14.37h-8.5a.55.55 0 0 1-.44-.23.48.48 0 0 1-.07-.43 5.85 5.85 0 0 1 5.6-4.02c1.1 0 2.19.31 3.13.9a.53.53 0 0 0 .56-.9 6.99 6.99 0 0 0-10.3 3.69c-.16.47-.08.99.22 1.39.3.42.79.66 1.3.67h8.5a.53.53 0 0 0 0-1.07z"/></symbol>
  <symbol id="login" viewBox="0 0 16 16"><path d="M8.04 7.98a3.75 3.75 0 1 0 0-7.49 3.75 3.75 0 0 0 0 7.5zm0-6.42a2.68 2.68 0 1 1 0 5.35 2.68 2.68 0 0 1 0-5.35zM14.7 13.4a6.95 6.95 0 0 0-6.65-4.77A6.95 6.95 0 0 0 1.4 13.4c-.16.47-.07 1 .22 1.4.3.42.8.66 1.31.67h10.23a1.6 1.6 0 0 0 1.53-2.07zm-1.1.78a.55.55 0 0 1-.44.23H2.93a.55.55 0 0 1-.44-.23.48.48 0 0 1-.08-.44 5.94 5.94 0 0 1 11.27 0 .5.5 0 0 1-.08.44z"/></symbol>
</svg>

<div class="d-flex flex-column flex-shrink-0 p-3" style="width: 280px;">
    {% bootstrap_button '<i class="bi"><svg class="me-2" width="20" height="20"><use xlink:href="#ask"></use></svg></i>Хочу спросить!' size='lg' button_class='btn btn-warning' href='/qa/ask' %}
    <hr>
    <h3>Популярные вопросы</h3>
    {% for question in trending %}
        <a href="{% url "qa:question" question.id %}" class="btn btn-outline-secondary position-relative my-2 text-start">
            {{ question.title }}
            <span class="position-absolute top-50 end-0 translate-middle badge bg-dark">{{ question.score }}</span>
        </a>
    {% endfor %}
</div>